#!/usr/bin/env ruby
#
# $Id: orphan-pages.rb,v 1.2 2003/12/30 10:56:30 aamine Exp $
#

require 'getopts'

def usage(status)
  (status == 0 ? $stdout : $stderr).print(<<EOS)
Usage: #{File.basename($0)}
EOS
  exit status
end

def main
  ok = getopts(nil, 'help')
  usage(0) if $OPT_help
  usage(1) unless ok

  load './bitchannelrc'
  config, repo = initialize_environment()
  repo.orphan_pages.each do |page_name|
    puts page_name
  end
end

main
